mkfs.reiser4(8)

NOM
mkfs.reiser4 - Créer un système de fichiers reiser4

SYNOPSIS
mkfs.reiser4 [options] fichier1 fichier2 ... [taille[K|M|G]]

DESCRIPTION
mkfs.reiser4 est un programme pour créer des systèmes de fichiers Reiser4. Il est basé sur la nouvelle bibliothèque libreiser4. Comme libreiser4 repose sur des greffons, il est possible de créer non pas uniquement des partitions Reiser4, mais tout type de système de fichiers ou de base de données qui utilise des arbres « balanced trees ».

OPTIONS GÉNÉRALES

-V, --version
    Afficher la version du programme.

-?, -h, --help
    Afficher le message d'aide du programme.

-y, --yes
    Considérer que toutes les questions reçoivent une réponse affirmative.

-f, --force
    Forcer mkfs à utiliser tout le disque, au lieu d'un périphérique bloc ou d'une partition montée.

OPTIONS DE MKFS

-b, --block-size n
    Taille de bloc à utiliser (par défaut, la taille de page de l'architecture).

-L, --label étiquette
    Étiquette de volume à utiliser.

-U, --uuid UUID
    Identifiant unique universel à utiliser.

-s, --lost-found
    Forcer mkfs à créer le répertoire lost+found.

-d, --discard
    Indiquer à mkfs d’abandonner les blocs du périphérique donné avant de créer le système de ficher (pour les SSD, « solid-state drive »).

OPTIONS DE GREFFON

-p, --print-profile
    Afficher le profil des greffons. Il s'agit de l'ensemble des greffons utilisés pour toutes les parties d'un système de fichiers — le format, les nœuds, les fichiers, les répertoires, les tables de hachage, etc. Si --override est utilisée, alors afficher les greffons modifiés.

-l, --print-plugins
    Afficher tous les greffons connus de libreiser4.

-o, --override TYPE=GREFFON, ...
    Remplacer le greffon par défaut pour le type par le greffon dans le profil des greffons.

    Exemples :

    Mettre dans le champ « key » le greffon pour des clefs courtes de manière à créer un système de fichiers avec une politique de clefs courtes :

    mkfs.reiser4 -yf -o key=key_short /dev/hda2

SIGNALER DES BOGUES
Signaler toute erreur à <reiserfs-devel@vger.kernel.org>

VOIR AUSSI
measurefs.reiser4(8), debugfs.reiser4(8), fsck.reiser4(8)

AUTEUR
Cette page de manuel a été écrite par Yury Umanets <umka@namesys.com>

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Bour, Nicolas François <nicolas.francois@centraliens.net> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.